Boomi Platform Connector API Reference (1.0.0) - ConnectorDescriptorValidation
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Validate the descriptor for a connector to ensure that it is syntactically valid and fix issues, if any, prior to using the descriptor in an upload.
Features and Privileges
In addition to the developer privilege and the SDK publisher agreement, ensure that you have:
CONNECTOR_ADMINISTRATION feature — Controls the CONNECTOR_SUBMISSION privilege
CONNECTOR_SUBMISSION privilege — Required to autoconfigure a connector from a connector archive.
Validate a connector descriptor file
Use this operation to pre-emptively validate the descriptor for a connector to ensure that it is syntactically valid and fix issues, if any, prior to using the descriptor in an upload.
This is a multipart form data request which takes one form data input with key descriptor and the value will be the connector-descriptor.xml file to be validated.
Sample error messages
Issue: Invalid Configuration
- Only 1 field value condition is supported for visibility at this time on field with ID: conditionalField6.
- Only 1 condition is supported for visibility at this time on field with ID: conditionalField5.
- A conditionally visible field cannot be a type of oauth . (Field ID: conditionalField12).
- The visibility condition for field conditionalField2 may only have the values true and false when referencing a boolean type field in the condition.
- The visibility condition for field conditionalField2 may only have the values true and false when referencing a boolean type field in the condition.
- The field with ID: valueField is involved in the visibility configuration rule for the field with ID: conditionalField, it must be of type boolean or have a list or radio display type.
- The visibility condition configured on field with ID: conditionalField3 must point to an existing configured field.
- The visibility condition value(s) you have provided for conditionalField22 is not in the allowed values for the referenced field with ID: valueField22.
- A conditional visibility field cannot be referenced by another conditional visibility rule at this time. This is to prevent circular conditions. (Field ID: valueField7).
- A conditionally visible field cannot be a type of wssecurity . (Field ID: conditionalField11).
- A conditional visibility field cannot be referenced by another conditional visibility rule at this time. This is to prevent circular conditions. (Field ID: conditionalField7).
- The visibility condition configured on field with ID: conditionalField5 must point to an existing configured field.
- The field with ID: valueField1 is involved in the visibility configuration rule for the field with ID: conditionalField1, it must be of type boolean or have a list or radio display type.
- The tracking direction for Listen operations is always response and cannot be changed.
- QUERY operation is configured with supportsBrowse=true and supportsBrowse=false
- The tracking direction for Listen operations is always response and cannot be changed.
- Tracked Property with ID: outputProp already exists. You cannot specify a Tracked Group with the same ID: outputProp.
Sample warning message
Unsupported configuration: The browsingType attribute in GenericConnectorDescriptor is retired. This has been deprecated and browsing is performed using containers that are associated with the account. To continue, please remove the browsingType attribute from your descriptor file.
Authorizations:
Responses
Response Schema:
required | object (ValidationErrors) |
| success required | string |
required | object (ValidationWarnings) |
Response samples
- 200
- 403
- 410
- 503
{- "errors": {
- "count": 0,
- "error": [
- {
- "issue": "string",
- "message": "string"
}
]
}, - "success": "string",
- "warnings": {
- "count": 0,
- "warning": [
- {
- "issue": "string",
- "message": "string"
}
]
}
}